from pydantic import BaseModel
from datetime import datetime

class ServerBase(BaseModel):
    name:str
    description: str | None
    url: str

class ServerSchema(ServerBase):
    id: int

class DatabaseBase(BaseModel):
    name:str
    description: str | None
    date_created: datetime | None
    server_id: int

class DatabaseSchema(DatabaseBase):
    id: int